## OGMRipPlayer

OGMRipPlayer — Simple video player

## Functions

OGMRipPlayer * | ogmrip_player_new ()
void | ogmrip_player_set_title ()
void | ogmrip_player_set_audio_file ()
void | ogmrip_player_set_audio_stream ()
void | ogmrip_player_set_subp_file ()
void | ogmrip_player_set_subp_stream ()
void | ogmrip_player_set_chapters ()
gboolean | ogmrip_player_play ()
void | ogmrip_player_stop ()

## Types and Values

struct | OGMRipPlayer
struct | OGMRipPlayerClass

## Object Hierarchy

## Includes

    #include <ogmrip-player.h>

## Description

## Functions

### ogmrip_player_new ()

    OGMRipPlayer *
    ogmrip_player_new (void);

Creates a new OGMRipPlayer

#### Returns

the new OGMRipPlayer

### ogmrip_player_set_title ()

    void
    ogmrip_player_set_title (OGMRipPlayer *player,
                             OGMDvdTitle *title);

Sets the DVD title to play

#### Parameters

player | an OGMRipPlayer |
title | an OGMDvdTitle |

### ogmrip_player_set_audio_file ()

    void
    ogmrip_player_set_audio_file (OGMRipPlayer *player,
                                  OGMRipFile *file);

Sets the audio file to play

#### Parameters

player | an OGMRipPlayer |
file | an OGMRipFile |

### ogmrip_player_set_audio_stream ()

    void
    ogmrip_player_set_audio_stream (OGMRipPlayer *player,
                                    OGMDvdAudioStream *stream);

Sets the audio stream to play

#### Parameters

player | an OGMRipPlayer |
stream | an OGMDvdAudioStream |

### ogmrip_player_set_subp_file ()

    void
    ogmrip_player_set_subp_file (OGMRipPlayer *player,
                                 OGMRipFile *file);

Sets the subtitle file to play

#### Parameters

player | an OGMRipPlayer |
file | an OGMRipFile |

### ogmrip_player_set_subp_stream ()

    void
    ogmrip_player_set_subp_stream (OGMRipPlayer *player,
                                   OGMDvdSubpStream *stream);

Sets the subtitle stream to play

#### Parameters

player | an OGMRipPlayer |
stream | an OGMDvdSubpStream |

### ogmrip_player_set_chapters ()

    void
    ogmrip_player_set_chapters (OGMRipPlayer *player,
                                guint start,
                                gint end);

Sets the chapters to play

#### Parameters

player | an OGMRipPlayer |
start | the chapter to start playing at |
end | the chapter to stop playing at, or -1 |

### ogmrip_player_play ()

    gboolean
    ogmrip_player_play (OGMRipPlayer *player,
                        GError **error);

Plays the selected title, streams and chapters

#### Parameters

player | an OGMRipPlayer |
error | return location for error |

#### Returns

`TRUE` on success, `FALSE` if an error was set

### ogmrip_player_stop ()

    void
    ogmrip_player_stop (OGMRipPlayer *player);

Stops playing the title

#### Parameters

player | an OGMRipPlayer |

## Types and Values

### struct OGMRipPlayer

    struct OGMRipPlayer {
      GObject parent_instance;

      OGMRipPlayerPriv *priv;
    };

### struct OGMRipPlayerClass

    struct OGMRipPlayerClass {
      GObjectClass parent_class;

      void (* play) (OGMRipPlayer *player);
      void (* stop) (OGMRipPlayer *player);
    };